# Border

## Border Width

Border width value is based on the `borderWidth` config. You can override this property value to match your style

<div class="table-wrapper">

Class | Style
--- | ---
b-0 | borderWidth : 0
b-1 | borderWidth : 1
b-2 | borderWidth : 2
b-4 | borderWidth : 4
b-8 | borderWidth : 8
bt-0 | borderTopWidth : 0
bt-1 | borderTopWidth : 1
bt-2 | borderTopWidth : 2
bt-4 | borderTopWidth : 4
bt-8 | borderTopWidth : 8
br-0 | borderRightWidth : 0
br-1 | borderRightWidth : 1
br-2 | borderRightWidth : 2
br-4 | borderRightWidth : 4
br-8 | borderRightWidth : 8
bb-0 | borderBottomWidth : 0
bb-1 | borderBottomWidth : 1
bb-2 | borderBottomWidth : 2
bb-4 | borderBottomWidth : 4
bb-8 | borderBottomWidth : 8
bl-0 | borderLeftWidth : 0
bl-1 | borderLeftWidth : 1
bl-2 | borderLeftWidth : 2
bl-4 | borderLeftWidth : 4
bl-8 | borderLeftWidth : 8

</div>

## Border Color

The class for border color follow this format: `border-[color]-[shade]`, you can checkout [Color reference](/guide/reference) for available color value and it's shades

<div class="table-wrapper">

Class | Style
--- | ---
border-transparent | <span class="color-value"><span>borderColor: transparent</span><span class="color" style="background-color:transparent"></span></span>
border-black | <span class="color-value"><span>borderColor: #000</span><span class="color" style="background-color:#000"></span></span>
border-white | <span class="color-value"><span>borderColor: #fff</span><span class="color" style="background-color:#fff"></span></span>
border-gray-100 | <span class="color-value"><span>borderColor: #f7fafc</span><span class="color" style="background-color:#f7fafc"></span></span>
border-gray-200 | <span class="color-value"><span>borderColor: #edf2f7</span><span class="color" style="background-color:#edf2f7"></span></span>
border-gray-300 | <span class="color-value"><span>borderColor: #e2e8f0</span><span class="color" style="background-color:#e2e8f0"></span></span>
border-gray-400 | <span class="color-value"><span>borderColor: #cbd5e0</span><span class="color" style="background-color:#cbd5e0"></span></span>
border-gray-500 | <span class="color-value"><span>borderColor: #a0aec0</span><span class="color" style="background-color:#a0aec0"></span></span>
border-gray-600 | <span class="color-value"><span>borderColor: #718096</span><span class="color" style="background-color:#718096"></span></span>
border-gray-700 | <span class="color-value"><span>borderColor: #4a5568</span><span class="color" style="background-color:#4a5568"></span></span>
border-gray-800 | <span class="color-value"><span>borderColor: #2d3748</span><span class="color" style="background-color:#2d3748"></span></span>
border-gray-900 | <span class="color-value"><span>borderColor: #1a202c</span><span class="color" style="background-color:#1a202c"></span></span>
border-red-100 | <span class="color-value"><span>borderColor: #fff5f5</span><span class="color" style="background-color:#fff5f5"></span></span>
border-red-200 | <span class="color-value"><span>borderColor: #fed7d7</span><span class="color" style="background-color:#fed7d7"></span></span>
border-red-300 | <span class="color-value"><span>borderColor: #feb2b2</span><span class="color" style="background-color:#feb2b2"></span></span>
border-red-400 | <span class="color-value"><span>borderColor: #fc8181</span><span class="color" style="background-color:#fc8181"></span></span>
border-red-500 | <span class="color-value"><span>borderColor: #f56565</span><span class="color" style="background-color:#f56565"></span></span>
border-red-600 | <span class="color-value"><span>borderColor: #e53e3e</span><span class="color" style="background-color:#e53e3e"></span></span>
border-red-700 | <span class="color-value"><span>borderColor: #c53030</span><span class="color" style="background-color:#c53030"></span></span>
border-red-800 | <span class="color-value"><span>borderColor: #9b2c2c</span><span class="color" style="background-color:#9b2c2c"></span></span>
border-red-900 | <span class="color-value"><span>borderColor: #742a2a</span><span class="color" style="background-color:#742a2a"></span></span>
border-orange-100 | <span class="color-value"><span>borderColor: #fffaf0</span><span class="color" style="background-color:#fffaf0"></span></span>
border-orange-200 | <span class="color-value"><span>borderColor: #feebc8</span><span class="color" style="background-color:#feebc8"></span></span>
border-orange-300 | <span class="color-value"><span>borderColor: #fbd38d</span><span class="color" style="background-color:#fbd38d"></span></span>
border-orange-400 | <span class="color-value"><span>borderColor: #f6ad55</span><span class="color" style="background-color:#f6ad55"></span></span>
border-orange-500 | <span class="color-value"><span>borderColor: #ed8936</span><span class="color" style="background-color:#ed8936"></span></span>
border-orange-600 | <span class="color-value"><span>borderColor: #dd6b20</span><span class="color" style="background-color:#dd6b20"></span></span>
border-orange-700 | <span class="color-value"><span>borderColor: #c05621</span><span class="color" style="background-color:#c05621"></span></span>
border-orange-800 | <span class="color-value"><span>borderColor: #9c4221</span><span class="color" style="background-color:#9c4221"></span></span>
border-orange-900 | <span class="color-value"><span>borderColor: #7b341e</span><span class="color" style="background-color:#7b341e"></span></span>
border-yellow-100 | <span class="color-value"><span>borderColor: #fffff0</span><span class="color" style="background-color:#fffff0"></span></span>
border-yellow-200 | <span class="color-value"><span>borderColor: #fefcbf</span><span class="color" style="background-color:#fefcbf"></span></span>
border-yellow-300 | <span class="color-value"><span>borderColor: #faf089</span><span class="color" style="background-color:#faf089"></span></span>
border-yellow-400 | <span class="color-value"><span>borderColor: #f6e05e</span><span class="color" style="background-color:#f6e05e"></span></span>
border-yellow-500 | <span class="color-value"><span>borderColor: #ecc94b</span><span class="color" style="background-color:#ecc94b"></span></span>
border-yellow-600 | <span class="color-value"><span>borderColor: #d69e2e</span><span class="color" style="background-color:#d69e2e"></span></span>
border-yellow-700 | <span class="color-value"><span>borderColor: #b7791f</span><span class="color" style="background-color:#b7791f"></span></span>
border-yellow-800 | <span class="color-value"><span>borderColor: #975a16</span><span class="color" style="background-color:#975a16"></span></span>
border-yellow-900 | <span class="color-value"><span>borderColor: #744210</span><span class="color" style="background-color:#744210"></span></span>
border-green-100 | <span class="color-value"><span>borderColor: #f0fff4</span><span class="color" style="background-color:#f0fff4"></span></span>
border-green-200 | <span class="color-value"><span>borderColor: #c6f6d5</span><span class="color" style="background-color:#c6f6d5"></span></span>
border-green-300 | <span class="color-value"><span>borderColor: #9ae6b4</span><span class="color" style="background-color:#9ae6b4"></span></span>
border-green-400 | <span class="color-value"><span>borderColor: #68d391</span><span class="color" style="background-color:#68d391"></span></span>
border-green-500 | <span class="color-value"><span>borderColor: #48bb78</span><span class="color" style="background-color:#48bb78"></span></span>
border-green-600 | <span class="color-value"><span>borderColor: #38a169</span><span class="color" style="background-color:#38a169"></span></span>
border-green-700 | <span class="color-value"><span>borderColor: #2f855a</span><span class="color" style="background-color:#2f855a"></span></span>
border-green-800 | <span class="color-value"><span>borderColor: #276749</span><span class="color" style="background-color:#276749"></span></span>
border-green-900 | <span class="color-value"><span>borderColor: #22543d</span><span class="color" style="background-color:#22543d"></span></span>
border-teal-100 | <span class="color-value"><span>borderColor: #e6fffa</span><span class="color" style="background-color:#e6fffa"></span></span>
border-teal-200 | <span class="color-value"><span>borderColor: #b2f5ea</span><span class="color" style="background-color:#b2f5ea"></span></span>
border-teal-300 | <span class="color-value"><span>borderColor: #81e6d9</span><span class="color" style="background-color:#81e6d9"></span></span>
border-teal-400 | <span class="color-value"><span>borderColor: #4fd1c5</span><span class="color" style="background-color:#4fd1c5"></span></span>
border-teal-500 | <span class="color-value"><span>borderColor: #38b2ac</span><span class="color" style="background-color:#38b2ac"></span></span>
border-teal-600 | <span class="color-value"><span>borderColor: #319795</span><span class="color" style="background-color:#319795"></span></span>
border-teal-700 | <span class="color-value"><span>borderColor: #2c7a7b</span><span class="color" style="background-color:#2c7a7b"></span></span>
border-teal-800 | <span class="color-value"><span>borderColor: #285e61</span><span class="color" style="background-color:#285e61"></span></span>
border-teal-900 | <span class="color-value"><span>borderColor: #234e52</span><span class="color" style="background-color:#234e52"></span></span>
border-blue-100 | <span class="color-value"><span>borderColor: #ebf8ff</span><span class="color" style="background-color:#ebf8ff"></span></span>
border-blue-200 | <span class="color-value"><span>borderColor: #bee3f8</span><span class="color" style="background-color:#bee3f8"></span></span>
border-blue-300 | <span class="color-value"><span>borderColor: #90cdf4</span><span class="color" style="background-color:#90cdf4"></span></span>
border-blue-400 | <span class="color-value"><span>borderColor: #63b3ed</span><span class="color" style="background-color:#63b3ed"></span></span>
border-blue-500 | <span class="color-value"><span>borderColor: #4299e1</span><span class="color" style="background-color:#4299e1"></span></span>
border-blue-600 | <span class="color-value"><span>borderColor: #3182ce</span><span class="color" style="background-color:#3182ce"></span></span>
border-blue-700 | <span class="color-value"><span>borderColor: #2b6cb0</span><span class="color" style="background-color:#2b6cb0"></span></span>
border-blue-800 | <span class="color-value"><span>borderColor: #2c5282</span><span class="color" style="background-color:#2c5282"></span></span>
border-blue-900 | <span class="color-value"><span>borderColor: #2a4365</span><span class="color" style="background-color:#2a4365"></span></span>
border-indigo-100 | <span class="color-value"><span>borderColor: #ebf4ff</span><span class="color" style="background-color:#ebf4ff"></span></span>
border-indigo-200 | <span class="color-value"><span>borderColor: #c3dafe</span><span class="color" style="background-color:#c3dafe"></span></span>
border-indigo-300 | <span class="color-value"><span>borderColor: #a3bffa</span><span class="color" style="background-color:#a3bffa"></span></span>
border-indigo-400 | <span class="color-value"><span>borderColor: #7f9cf5</span><span class="color" style="background-color:#7f9cf5"></span></span>
border-indigo-500 | <span class="color-value"><span>borderColor: #667eea</span><span class="color" style="background-color:#667eea"></span></span>
border-indigo-600 | <span class="color-value"><span>borderColor: #5a67d8</span><span class="color" style="background-color:#5a67d8"></span></span>
border-indigo-700 | <span class="color-value"><span>borderColor: #4c51bf</span><span class="color" style="background-color:#4c51bf"></span></span>
border-indigo-800 | <span class="color-value"><span>borderColor: #434190</span><span class="color" style="background-color:#434190"></span></span>
border-indigo-900 | <span class="color-value"><span>borderColor: #3c366b</span><span class="color" style="background-color:#3c366b"></span></span>
border-purple-100 | <span class="color-value"><span>borderColor: #faf5ff</span><span class="color" style="background-color:#faf5ff"></span></span>
border-purple-200 | <span class="color-value"><span>borderColor: #e9d8fd</span><span class="color" style="background-color:#e9d8fd"></span></span>
border-purple-300 | <span class="color-value"><span>borderColor: #d6bcfa</span><span class="color" style="background-color:#d6bcfa"></span></span>
border-purple-400 | <span class="color-value"><span>borderColor: #b794f4</span><span class="color" style="background-color:#b794f4"></span></span>
border-purple-500 | <span class="color-value"><span>borderColor: #9f7aea</span><span class="color" style="background-color:#9f7aea"></span></span>
border-purple-600 | <span class="color-value"><span>borderColor: #805ad5</span><span class="color" style="background-color:#805ad5"></span></span>
border-purple-700 | <span class="color-value"><span>borderColor: #6b46c1</span><span class="color" style="background-color:#6b46c1"></span></span>
border-purple-800 | <span class="color-value"><span>borderColor: #553c9a</span><span class="color" style="background-color:#553c9a"></span></span>
border-purple-900 | <span class="color-value"><span>borderColor: #44337a</span><span class="color" style="background-color:#44337a"></span></span>
border-pink-100 | <span class="color-value"><span>borderColor: #fff5f7</span><span class="color" style="background-color:#fff5f7"></span></span>
border-pink-200 | <span class="color-value"><span>borderColor: #fed7e2</span><span class="color" style="background-color:#fed7e2"></span></span>
border-pink-300 | <span class="color-value"><span>borderColor: #fbb6ce</span><span class="color" style="background-color:#fbb6ce"></span></span>
border-pink-400 | <span class="color-value"><span>borderColor: #f687b3</span><span class="color" style="background-color:#f687b3"></span></span>
border-pink-500 | <span class="color-value"><span>borderColor: #ed64a6</span><span class="color" style="background-color:#ed64a6"></span></span>
border-pink-600 | <span class="color-value"><span>borderColor: #d53f8c</span><span class="color" style="background-color:#d53f8c"></span></span>
border-pink-700 | <span class="color-value"><span>borderColor: #b83280</span><span class="color" style="background-color:#b83280"></span></span>
border-pink-800 | <span class="color-value"><span>borderColor: #97266d</span><span class="color" style="background-color:#97266d"></span></span>
border-pink-900 | <span class="color-value"><span>borderColor: #702459</span><span class="color" style="background-color:#702459"></span></span>

</div>

## Border Radius

Border width value is based on the `borderRadius` config. You can override this property value to match your style.
The class name follow this format: `rounded`.

For all side border radius class follow this format: `rounded-[radius]`

And for side spesific only follow this format: `rounded-[t/r/b/l/tl/tr/br/bl]-[radius]`

<div class="table-wrapper">

Class | Style
--- | ---
rounded-none | borderRadius: 0
rounded-sm | borderRadius: 2
rounded-default | borderRadius: 4
rounded-md | borderRadius: 6
rounded-lg | borderRadius: 8
rounded-full | borderRadius: 9999
rounded-t-none | borderTopLeftRadius: 0, borderTopRightRadius: 0
rounded-t-sm | borderTopLeftRadius: 2, borderTopRightRadius: 2
rounded-t-default | borderTopLeftRadius: 4, borderTopRightRadius: 4
rounded-t-md | borderTopLeftRadius: 6, borderTopRightRadius: 6
rounded-t-lg | borderTopLeftRadius: 8, borderTopRightRadius: 8
rounded-t-full | borderTopLeftRadius: 9999, borderTopRightRadius: 9999
rounded-r-none | borderTopRightRadius: 0, borderBottomRightRadius: 0
rounded-r-sm | borderTopRightRadius: 2, borderBottomRightRadius: 2
rounded-r-default | borderTopRightRadius: 4, borderBottomRightRadius: 4
rounded-r-md | borderTopRightRadius: 6, borderBottomRightRadius: 6
rounded-r-lg | borderTopRightRadius: 8, borderBottomRightRadius: 8
rounded-r-full | borderTopRightRadius: 9999, borderBottomRightRadius: 9999
rounded-b-none | borderBottomLeftRadius: 0, borderBottomRightRadius: 0
rounded-b-sm | borderBottomLeftRadius: 2, borderBottomRightRadius: 2
rounded-b-default | borderBottomLeftRadius: 4, borderBottomRightRadius: 4
rounded-b-md | borderBottomLeftRadius: 6, borderBottomRightRadius: 6
rounded-b-lg | borderBottomLeftRadius: 8, borderBottomRightRadius: 8
rounded-b-full | borderBottomLeftRadius: 9999, borderBottomRightRadius: 9999
rounded-l-none | borderTopLeftRadius: 0, borderBottomLeftRadius: 0
rounded-l-sm | borderTopLeftRadius: 2, borderBottomLeftRadius: 2
rounded-l-default | borderTopLeftRadius: 4, borderBottomLeftRadius: 4
rounded-l-md | borderTopLeftRadius: 6, borderBottomLeftRadius: 6
rounded-l-lg | borderTopLeftRadius: 8, borderBottomLeftRadius: 8
rounded-l-full | borderTopLeftRadius: 9999, borderBottomLeftRadius: 9999
rounded-tl-none | borderTopLeftRadius: 0
rounded-tl-sm | borderTopLeftRadius: 2
rounded-tl-default | borderTopLeftRadius: 4
rounded-tl-md | borderTopLeftRadius: 6
rounded-tl-lg | borderTopLeftRadius: 8
rounded-tl-full | borderTopLeftRadius: 9999
rounded-tr-none | borderTopRightRadius: 0
rounded-tr-sm | borderTopRightRadius: 2
rounded-tr-default | borderTopRightRadius: 4
rounded-tr-md | borderTopRightRadius: 6
rounded-tr-lg | borderTopRightRadius: 8
rounded-tr-full | borderTopRightRadius: 9999
rounded-br-none | borderBottomRightRadius: 0
rounded-br-sm | borderBottomRightRadius: 2
rounded-br-default | borderBottomRightRadius: 4
rounded-br-md | borderBottomRightRadius: 6
rounded-br-lg | borderBottomRightRadius: 8
rounded-br-full | borderBottomRightRadius: 9999
rounded-bl-none | borderBottomLeftRadius: 0
rounded-bl-sm | borderBottomLeftRadius: 2
rounded-bl-default | borderBottomLeftRadius: 4
rounded-bl-md | borderBottomLeftRadius: 6
rounded-bl-lg | borderBottomLeftRadius: 8
rounded-bl-full | borderBottomLeftRadius: 9999

</div>