## Margin

Margin size use spacing value from `spacing` config. By default it use rem unit, please refer how we use rem in React native in [Spacing Size page](/guide/reference).

For all side margin, you can use this format: `m-[spacing]`

For side specific margin, please follow this format: `m-[t/l/b/r]-[spacing]`

You can set axis margin like left & right using `mx-[spacing]` and top & bottom using `my-[spacing]`

<div class="table-wrapper">

Class | Style
--- | ---
m-0 | margin: 0
m-1 | margin: 4
m-2 | margin: 8
m-3 | margin: 12
m-4 | margin: 16
m-5 | margin: 20
m-6 | margin: 24
m-8 | margin: 32
m-10 | margin: 40
m-12 | margin: 48
m-16 | margin: 64
m-20 | margin: 80
m-24 | margin: 96
m-32 | margin: 128
m-40 | margin: 160
m-48 | margin: 192
m-56 | margin: 224
m-64 | margin: 256
mt-0 | marginTop: 0
mt-1 | marginTop: 4
mt-2 | marginTop: 8
mt-3 | marginTop: 12
mt-4 | marginTop: 16
mt-5 | marginTop: 20
mt-6 | marginTop: 24
mt-8 | marginTop: 32
mt-10 | marginTop: 40
mt-12 | marginTop: 48
mt-16 | marginTop: 64
mt-20 | marginTop: 80
mt-24 | marginTop: 96
mt-32 | marginTop: 128
mt-40 | marginTop: 160
mt-48 | marginTop: 192
mt-56 | marginTop: 224
mt-64 | marginTop: 256
mr-0 | marginRight: 0
mr-1 | marginRight: 4
mr-2 | marginRight: 8
mr-3 | marginRight: 12
mr-4 | marginRight: 16
mr-5 | marginRight: 20
mr-6 | marginRight: 24
mr-8 | marginRight: 32
mr-10 | marginRight: 40
mr-12 | marginRight: 48
mr-16 | marginRight: 64
mr-20 | marginRight: 80
mr-24 | marginRight: 96
mr-32 | marginRight: 128
mr-40 | marginRight: 160
mr-48 | marginRight: 192
mr-56 | marginRight: 224
mr-64 | marginRight: 256
mb-0 | marginBottom: 0
mb-1 | marginBottom: 4
mb-2 | marginBottom: 8
mb-3 | marginBottom: 12
mb-4 | marginBottom: 16
mb-5 | marginBottom: 20
mb-6 | marginBottom: 24
mb-8 | marginBottom: 32
mb-10 | marginBottom: 40
mb-12 | marginBottom: 48
mb-16 | marginBottom: 64
mb-20 | marginBottom: 80
mb-24 | marginBottom: 96
mb-32 | marginBottom: 128
mb-40 | marginBottom: 160
mb-48 | marginBottom: 192
mb-56 | marginBottom: 224
mb-64 | marginBottom: 256
ml-0 | marginLeft: 0
ml-1 | marginLeft: 4
ml-2 | marginLeft: 8
ml-3 | marginLeft: 12
ml-4 | marginLeft: 16
ml-5 | marginLeft: 20
ml-6 | marginLeft: 24
ml-8 | marginLeft: 32
ml-10 | marginLeft: 40
ml-12 | marginLeft: 48
ml-16 | marginLeft: 64
ml-20 | marginLeft: 80
ml-24 | marginLeft: 96
ml-32 | marginLeft: 128
ml-40 | marginLeft: 160
ml-48 | marginLeft: 192
ml-56 | marginLeft: 224
ml-64 | marginLeft: 256
mx-0 | marginHorizontal: 0
mx-1 | marginHorizontal: 4
mx-2 | marginHorizontal: 8
mx-3 | marginHorizontal: 12
mx-4 | marginHorizontal: 16
mx-5 | marginHorizontal: 20
mx-6 | marginHorizontal: 24
mx-8 | marginHorizontal: 32
mx-10 | marginHorizontal: 40
mx-12 | marginHorizontal: 48
mx-16 | marginHorizontal: 64
mx-20 | marginHorizontal: 80
mx-24 | marginHorizontal: 96
mx-32 | marginHorizontal: 128
mx-40 | marginHorizontal: 160
mx-48 | marginHorizontal: 192
mx-56 | marginHorizontal: 224
mx-64 | marginHorizontal: 256
my-0 | marginVertical: 0
my-1 | marginVertical: 4
my-2 | marginVertical: 8
my-3 | marginVertical: 12
my-4 | marginVertical: 16
my-5 | marginVertical: 20
my-6 | marginVertical: 24
my-8 | marginVertical: 32
my-10 | marginVertical: 40
my-12 | marginVertical: 48
my-16 | marginVertical: 64
my-20 | marginVertical: 80
my-24 | marginVertical: 96
my-32 | marginVertical: 128
my-40 | marginVertical: 160
my-48 | marginVertical: 192
my-56 | marginVertical: 224
my-64 | marginVertical: 256

</div>