## Padding

Padding size use spacing value from `spacing` config. By default it use rem unit, please refer how we use rem in React native in [Spacing Size page](/guide/reference).

For all side padding, you can use this format: `p-[spacing]`

For side specific padding, please follow this format: `p-[t/l/b/r]-[spacing]`

You can set axis padding like left & right using `px-[spacing]` and top & bottom using `py-[spacing]`

<div class="table-wrapper">

Class | Style
--- | ---
p-0 |  padding: 0
p-1 |  padding: 4
p-2 |  padding: 8
p-3 |  padding: 12
p-4 |  padding: 16
p-5 |  padding: 20
p-6 |  padding: 24
p-8 |  padding: 32
p-10 |  padding: 40
p-12 |  padding: 48
p-16 |  padding: 64
p-20 |  padding: 80
p-24 |  padding: 96
p-32 |  padding: 128
p-40 |  padding: 160
p-48 |  padding: 192
p-56 |  padding: 224
p-64 |  padding: 256
pt-0 |  paddingTop: 0
pt-1 |  paddingTop: 4
pt-2 |  paddingTop: 8
pt-3 |  paddingTop: 12
pt-4 |  paddingTop: 16
pt-5 |  paddingTop: 20
pt-6 |  paddingTop: 24
pt-8 |  paddingTop: 32
pt-10 |  paddingTop: 40
pt-12 |  paddingTop: 48
pt-16 |  paddingTop: 64
pt-20 |  paddingTop: 80
pt-24 |  paddingTop: 96
pt-32 |  paddingTop: 128
pt-40 |  paddingTop: 160
pt-48 |  paddingTop: 192
pt-56 |  paddingTop: 224
pt-64 |  paddingTop: 256
pr-0 |  paddingRight: 0
pr-1 |  paddingRight: 4
pr-2 |  paddingRight: 8
pr-3 |  paddingRight: 12
pr-4 |  paddingRight: 16
pr-5 |  paddingRight: 20
pr-6 |  paddingRight: 24
pr-8 |  paddingRight: 32
pr-10 |  paddingRight: 40
pr-12 |  paddingRight: 48
pr-16 |  paddingRight: 64
pr-20 |  paddingRight: 80
pr-24 |  paddingRight: 96
pr-32 |  paddingRight: 128
pr-40 |  paddingRight: 160
pr-48 |  paddingRight: 192
pr-56 |  paddingRight: 224
pr-64 |  paddingRight: 256
pb-0 |  paddingBottom: 0
pb-1 |  paddingBottom: 4
pb-2 |  paddingBottom: 8
pb-3 |  paddingBottom: 12
pb-4 |  paddingBottom: 16
pb-5 |  paddingBottom: 20
pb-6 |  paddingBottom: 24
pb-8 |  paddingBottom: 32
pb-10 |  paddingBottom: 40
pb-12 |  paddingBottom: 48
pb-16 |  paddingBottom: 64
pb-20 |  paddingBottom: 80
pb-24 |  paddingBottom: 96
pb-32 |  paddingBottom: 128
pb-40 |  paddingBottom: 160
pb-48 |  paddingBottom: 192
pb-56 |  paddingBottom: 224
pb-64 |  paddingBottom: 256
pl-0 |  paddingLeft: 0
pl-1 |  paddingLeft: 4
pl-2 |  paddingLeft: 8
pl-3 |  paddingLeft: 12
pl-4 |  paddingLeft: 16
pl-5 |  paddingLeft: 20
pl-6 |  paddingLeft: 24
pl-8 |  paddingLeft: 32
pl-10 |  paddingLeft: 40
pl-12 |  paddingLeft: 48
pl-16 |  paddingLeft: 64
pl-20 |  paddingLeft: 80
pl-24 |  paddingLeft: 96
pl-32 |  paddingLeft: 128
pl-40 |  paddingLeft: 160
pl-48 |  paddingLeft: 192
pl-56 |  paddingLeft: 224
pl-64 |  paddingLeft: 256
px-0 |  paddingHorizontal: 0
px-1 |  paddingHorizontal: 4
px-2 |  paddingHorizontal: 8
px-3 |  paddingHorizontal: 12
px-4 |  paddingHorizontal: 16
px-5 |  paddingHorizontal: 20
px-6 |  paddingHorizontal: 24
px-8 |  paddingHorizontal: 32
px-10 |  paddingHorizontal: 40
px-12 |  paddingHorizontal: 48
px-16 |  paddingHorizontal: 64
px-20 |  paddingHorizontal: 80
px-24 |  paddingHorizontal: 96
px-32 |  paddingHorizontal: 128
px-40 |  paddingHorizontal: 160
px-48 |  paddingHorizontal: 192
px-56 |  paddingHorizontal: 224
px-64 |  paddingHorizontal: 256
py-0 |  paddingVertical: 0
py-1 |  paddingVertical: 4
py-2 |  paddingVertical: 8
py-3 |  paddingVertical: 12
py-4 |  paddingVertical: 16
py-5 |  paddingVertical: 20
py-6 |  paddingVertical: 24
py-8 |  paddingVertical: 32
py-10 |  paddingVertical: 40
py-12 |  paddingVertical: 48
py-16 |  paddingVertical: 64
py-20 |  paddingVertical: 80
py-24 |  paddingVertical: 96
py-32 |  paddingVertical: 128
py-40 |  paddingVertical: 160
py-48 |  paddingVertical: 192
py-56 |  paddingVertical: 224
py-64 |  paddingVertical: 256

</div>