# Typography

## Font Family
Class | Style
--- | ---
font-primary-regular | fontFamily: inter-regular
font-primary-bold | fontFamily: inter-bold

## Font Weight
Class | Style
--- | ---
font-hairline | fontWeight: 100
font-thin | fontWeight: 200
font-light | fontWeight: 300
font-normal | fontWeight: 400
font-medium | fontWeight: 500
font-semibold | fontWeight: 600
font-bold | fontWeight: 700
font-extrabold | fontWeight: 800
font-black | fontWeight: 900

## Font Size
Class | Style
--- | ---
font-xs | fontSize: 12
font-sm | fontSize: 14
font-base | fontSize: 16
font-lg | fontSize: 18
font-xl | fontSize: 20
font-2xl | fontSize: 24
font-3xl | fontSize: 30
font-4xl | fontSize: 36
font-5xl | fontSize: 48
font-6xl | fontSize: 64

## Letter Spacing
Class | Style
--- | ---
tracking-tighter | letterSpacing: -0.8
tracking-tight | letterSpacing: -0.4
tracking-normal | letterSpacing: 0
tracking-wide | letterSpacing: 0.4
tracking-wider | letterSpacing: 0.8
tracking-widest | letterSpacing: 1.6

## Line Height
Class | Style
--- | ---
leading-3 | lineHeight: 12
leading-4 | lineHeight: 16
leading-5 | lineHeight: 20
leading-6 | lineHeight: 24
leading-7 | lineHeight: 28
leading-8 | lineHeight: 32
leading-9 | lineHeight: 36
leading-10 | lineHeight: 40
leading-none | lineHeight: 16
leading-tight | lineHeight: 20
leading-snug | lineHeight: 22
leading-normal | lineHeight: 24
leading-relaxed | lineHeight: 26
leading-loose | lineHeight: 32

## Text Color

The class for text-color follow this format: `text-[color]-[shade]`, you can checkout [Color reference](/guide/reference) for available color value and it's shades

<div class="table-wrapper">

Class | Style
--- | ---
text-transparent | <span class="color-value"><span>color: transparent</span><span class="color" style="background-color:transparent"></span></span>
text-black | <span class="color-value"><span>color: #000</span><span class="color" style="background-color:#000"></span></span>
text-white | <span class="color-value"><span>color: #fff</span><span class="color" style="background-color:#fff"></span></span>
text-gray-100 | <span class="color-value"><span>color: #f7fafc</span><span class="color" style="background-color:#f7fafc"></span></span>
text-gray-200 | <span class="color-value"><span>color: #edf2f7</span><span class="color" style="background-color:#edf2f7"></span></span>
text-gray-300 | <span class="color-value"><span>color: #e2e8f0</span><span class="color" style="background-color:#e2e8f0"></span></span>
text-gray-400 | <span class="color-value"><span>color: #cbd5e0</span><span class="color" style="background-color:#cbd5e0"></span></span>
text-gray-500 | <span class="color-value"><span>color: #a0aec0</span><span class="color" style="background-color:#a0aec0"></span></span>
text-gray-600 | <span class="color-value"><span>color: #718096</span><span class="color" style="background-color:#718096"></span></span>
text-gray-700 | <span class="color-value"><span>color: #4a5568</span><span class="color" style="background-color:#4a5568"></span></span>
text-gray-800 | <span class="color-value"><span>color: #2d3748</span><span class="color" style="background-color:#2d3748"></span></span>
text-gray-900 | <span class="color-value"><span>color: #1a202c</span><span class="color" style="background-color:#1a202c"></span></span>
text-red-100 | <span class="color-value"><span>color: #fff5f5</span><span class="color" style="background-color:#fff5f5"></span></span>
text-red-200 | <span class="color-value"><span>color: #fed7d7</span><span class="color" style="background-color:#fed7d7"></span></span>
text-red-300 | <span class="color-value"><span>color: #feb2b2</span><span class="color" style="background-color:#feb2b2"></span></span>
text-red-400 | <span class="color-value"><span>color: #fc8181</span><span class="color" style="background-color:#fc8181"></span></span>
text-red-500 | <span class="color-value"><span>color: #f56565</span><span class="color" style="background-color:#f56565"></span></span>
text-red-600 | <span class="color-value"><span>color: #e53e3e</span><span class="color" style="background-color:#e53e3e"></span></span>
text-red-700 | <span class="color-value"><span>color: #c53030</span><span class="color" style="background-color:#c53030"></span></span>
text-red-800 | <span class="color-value"><span>color: #9b2c2c</span><span class="color" style="background-color:#9b2c2c"></span></span>
text-red-900 | <span class="color-value"><span>color: #742a2a</span><span class="color" style="background-color:#742a2a"></span></span>
text-orange-100 | <span class="color-value"><span>color: #fffaf0</span><span class="color" style="background-color:#fffaf0"></span></span>
text-orange-200 | <span class="color-value"><span>color: #feebc8</span><span class="color" style="background-color:#feebc8"></span></span>
text-orange-300 | <span class="color-value"><span>color: #fbd38d</span><span class="color" style="background-color:#fbd38d"></span></span>
text-orange-400 | <span class="color-value"><span>color: #f6ad55</span><span class="color" style="background-color:#f6ad55"></span></span>
text-orange-500 | <span class="color-value"><span>color: #ed8936</span><span class="color" style="background-color:#ed8936"></span></span>
text-orange-600 | <span class="color-value"><span>color: #dd6b20</span><span class="color" style="background-color:#dd6b20"></span></span>
text-orange-700 | <span class="color-value"><span>color: #c05621</span><span class="color" style="background-color:#c05621"></span></span>
text-orange-800 | <span class="color-value"><span>color: #9c4221</span><span class="color" style="background-color:#9c4221"></span></span>
text-orange-900 | <span class="color-value"><span>color: #7b341e</span><span class="color" style="background-color:#7b341e"></span></span>
text-yellow-100 | <span class="color-value"><span>color: #fffff0</span><span class="color" style="background-color:#fffff0"></span></span>
text-yellow-200 | <span class="color-value"><span>color: #fefcbf</span><span class="color" style="background-color:#fefcbf"></span></span>
text-yellow-300 | <span class="color-value"><span>color: #faf089</span><span class="color" style="background-color:#faf089"></span></span>
text-yellow-400 | <span class="color-value"><span>color: #f6e05e</span><span class="color" style="background-color:#f6e05e"></span></span>
text-yellow-500 | <span class="color-value"><span>color: #ecc94b</span><span class="color" style="background-color:#ecc94b"></span></span>
text-yellow-600 | <span class="color-value"><span>color: #d69e2e</span><span class="color" style="background-color:#d69e2e"></span></span>
text-yellow-700 | <span class="color-value"><span>color: #b7791f</span><span class="color" style="background-color:#b7791f"></span></span>
text-yellow-800 | <span class="color-value"><span>color: #975a16</span><span class="color" style="background-color:#975a16"></span></span>
text-yellow-900 | <span class="color-value"><span>color: #744210</span><span class="color" style="background-color:#744210"></span></span>
text-green-100 | <span class="color-value"><span>color: #f0fff4</span><span class="color" style="background-color:#f0fff4"></span></span>
text-green-200 | <span class="color-value"><span>color: #c6f6d5</span><span class="color" style="background-color:#c6f6d5"></span></span>
text-green-300 | <span class="color-value"><span>color: #9ae6b4</span><span class="color" style="background-color:#9ae6b4"></span></span>
text-green-400 | <span class="color-value"><span>color: #68d391</span><span class="color" style="background-color:#68d391"></span></span>
text-green-500 | <span class="color-value"><span>color: #48bb78</span><span class="color" style="background-color:#48bb78"></span></span>
text-green-600 | <span class="color-value"><span>color: #38a169</span><span class="color" style="background-color:#38a169"></span></span>
text-green-700 | <span class="color-value"><span>color: #2f855a</span><span class="color" style="background-color:#2f855a"></span></span>
text-green-800 | <span class="color-value"><span>color: #276749</span><span class="color" style="background-color:#276749"></span></span>
text-green-900 | <span class="color-value"><span>color: #22543d</span><span class="color" style="background-color:#22543d"></span></span>
text-teal-100 | <span class="color-value"><span>color: #e6fffa</span><span class="color" style="background-color:#e6fffa"></span></span>
text-teal-200 | <span class="color-value"><span>color: #b2f5ea</span><span class="color" style="background-color:#b2f5ea"></span></span>
text-teal-300 | <span class="color-value"><span>color: #81e6d9</span><span class="color" style="background-color:#81e6d9"></span></span>
text-teal-400 | <span class="color-value"><span>color: #4fd1c5</span><span class="color" style="background-color:#4fd1c5"></span></span>
text-teal-500 | <span class="color-value"><span>color: #38b2ac</span><span class="color" style="background-color:#38b2ac"></span></span>
text-teal-600 | <span class="color-value"><span>color: #319795</span><span class="color" style="background-color:#319795"></span></span>
text-teal-700 | <span class="color-value"><span>color: #2c7a7b</span><span class="color" style="background-color:#2c7a7b"></span></span>
text-teal-800 | <span class="color-value"><span>color: #285e61</span><span class="color" style="background-color:#285e61"></span></span>
text-teal-900 | <span class="color-value"><span>color: #234e52</span><span class="color" style="background-color:#234e52"></span></span>
text-blue-100 | <span class="color-value"><span>color: #ebf8ff</span><span class="color" style="background-color:#ebf8ff"></span></span>
text-blue-200 | <span class="color-value"><span>color: #bee3f8</span><span class="color" style="background-color:#bee3f8"></span></span>
text-blue-300 | <span class="color-value"><span>color: #90cdf4</span><span class="color" style="background-color:#90cdf4"></span></span>
text-blue-400 | <span class="color-value"><span>color: #63b3ed</span><span class="color" style="background-color:#63b3ed"></span></span>
text-blue-500 | <span class="color-value"><span>color: #4299e1</span><span class="color" style="background-color:#4299e1"></span></span>
text-blue-600 | <span class="color-value"><span>color: #3182ce</span><span class="color" style="background-color:#3182ce"></span></span>
text-blue-700 | <span class="color-value"><span>color: #2b6cb0</span><span class="color" style="background-color:#2b6cb0"></span></span>
text-blue-800 | <span class="color-value"><span>color: #2c5282</span><span class="color" style="background-color:#2c5282"></span></span>
text-blue-900 | <span class="color-value"><span>color: #2a4365</span><span class="color" style="background-color:#2a4365"></span></span>
text-indigo-100 | <span class="color-value"><span>color: #ebf4ff</span><span class="color" style="background-color:#ebf4ff"></span></span>
text-indigo-200 | <span class="color-value"><span>color: #c3dafe</span><span class="color" style="background-color:#c3dafe"></span></span>
text-indigo-300 | <span class="color-value"><span>color: #a3bffa</span><span class="color" style="background-color:#a3bffa"></span></span>
text-indigo-400 | <span class="color-value"><span>color: #7f9cf5</span><span class="color" style="background-color:#7f9cf5"></span></span>
text-indigo-500 | <span class="color-value"><span>color: #667eea</span><span class="color" style="background-color:#667eea"></span></span>
text-indigo-600 | <span class="color-value"><span>color: #5a67d8</span><span class="color" style="background-color:#5a67d8"></span></span>
text-indigo-700 | <span class="color-value"><span>color: #4c51bf</span><span class="color" style="background-color:#4c51bf"></span></span>
text-indigo-800 | <span class="color-value"><span>color: #434190</span><span class="color" style="background-color:#434190"></span></span>
text-indigo-900 | <span class="color-value"><span>color: #3c366b</span><span class="color" style="background-color:#3c366b"></span></span>
text-purple-100 | <span class="color-value"><span>color: #faf5ff</span><span class="color" style="background-color:#faf5ff"></span></span>
text-purple-200 | <span class="color-value"><span>color: #e9d8fd</span><span class="color" style="background-color:#e9d8fd"></span></span>
text-purple-300 | <span class="color-value"><span>color: #d6bcfa</span><span class="color" style="background-color:#d6bcfa"></span></span>
text-purple-400 | <span class="color-value"><span>color: #b794f4</span><span class="color" style="background-color:#b794f4"></span></span>
text-purple-500 | <span class="color-value"><span>color: #9f7aea</span><span class="color" style="background-color:#9f7aea"></span></span>
text-purple-600 | <span class="color-value"><span>color: #805ad5</span><span class="color" style="background-color:#805ad5"></span></span>
text-purple-700 | <span class="color-value"><span>color: #6b46c1</span><span class="color" style="background-color:#6b46c1"></span></span>
text-purple-800 | <span class="color-value"><span>color: #553c9a</span><span class="color" style="background-color:#553c9a"></span></span>
text-purple-900 | <span class="color-value"><span>color: #44337a</span><span class="color" style="background-color:#44337a"></span></span>
text-pink-100 | <span class="color-value"><span>color: #fff5f7</span><span class="color" style="background-color:#fff5f7"></span></span>
text-pink-200 | <span class="color-value"><span>color: #fed7e2</span><span class="color" style="background-color:#fed7e2"></span></span>
text-pink-300 | <span class="color-value"><span>color: #fbb6ce</span><span class="color" style="background-color:#fbb6ce"></span></span>
text-pink-400 | <span class="color-value"><span>color: #f687b3</span><span class="color" style="background-color:#f687b3"></span></span>
text-pink-500 | <span class="color-value"><span>color: #ed64a6</span><span class="color" style="background-color:#ed64a6"></span></span>
text-pink-600 | <span class="color-value"><span>color: #d53f8c</span><span class="color" style="background-color:#d53f8c"></span></span>
text-pink-700 | <span class="color-value"><span>color: #b83280</span><span class="color" style="background-color:#b83280"></span></span>
text-pink-800 | <span class="color-value"><span>color: #97266d</span><span class="color" style="background-color:#97266d"></span></span>
text-pink-900 | <span class="color-value"><span>color: #702459</span><span class="color" style="background-color:#702459"></span></span>

</div>

## Text Align
Class | Style
--- | ---
text-left | textAlign: left
text-center | textAlign: center
text-right | textAlign: right
text-justify | textAlign: justify

## Text Transform
Class | Style
--- | ---
uppercase | textTransform: uppercase
lowercase | textTransform: lowercase
capitalize | textTransform: capitalize
normal-case | textTransform: none